optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetUnit (self, value)
| GetUnit (self)
| Run (self)
| Stop (self)
| GetRunningStatus (self)
| SetStartQ1 (self, value)
| GetStartQ1 (self)
| SetEndQ1 (self, value)
| GetEndQ1 (self)
| SetStartQ2 (self, value)
| GetStartQ2 (self)
| SetEndQ2 (self, value)
| GetEndQ2 (self)
| SetStartQ3 (self, value)
| GetStartQ3 (self)
| SetEndQ3 (self, value)
| GetEndQ3 (self)
| SetStartQ4 (self, value)
| GetStartQ4 (self)
| SetEndQ4 (self, value)
| GetEndQ4 (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| __init__ (self, int or None channel=0, board=None)
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x80 | channel
dict | unit
dict | run
dict | startQ1
dict | endQ1
dict | startQ2
dict | endQ2
dict | startQ3
dict | endQ3
dict | startQ4
dict | endQ4
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    * Quadrant vector pattern system ID base: 0x80
    *
    * | Address | Name                    | Default | Description                                                                              | Format and value |
    * | ------- | ----------------------- | ------- | ---------------------------------------------------------------------------------------- | ---------------- |
    * | 0       | unit type               | 0       | see ChannelValue                                                                         | uint32           |
    * | 1       | run                     | false   | turn system on and off                                                                   | boolean          |
    * | 2       | quadrant vector 1 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 1   | uint32           |
    * | 3       | quadrant vector 1 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 1 | uint32           |
    * | 4       | quadrant vector 2 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 2   | uint32           |
    * | 5       | quadrant vector 2 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 2 | uint32           |
    * | 6       | quadrant vector 3 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 3   | uint32           |
    * | 7       | quadrant vector 3 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 3 | uint32           |
    * | 8       | quadrant vector 4 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 4   | uint32           |
    * | 9       | quadrant vector 4 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 4 | uint32           |
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetEndQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ1 | ( |  | self | ) |

## ◆ GetEndQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ2 | ( |  | self | ) |

## ◆ GetEndQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ3 | ( |  | self | ) |

## ◆ GetEndQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ4 | ( |  | self | ) |

## ◆ GetRunningStatus()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetRunningStatus | ( |  | self | ) |

## ◆ GetStartQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ1 | ( |  | self | ) |

## ◆ GetStartQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ2 | ( |  | self | ) |

## ◆ GetStartQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ3 | ( |  | self | ) |

## ◆ GetStartQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ4 | ( |  | self | ) |

## ◆ GetUnit()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetUnit | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.help | ( |  | ) |
| static

## ◆ Run()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.Run | ( |  | self | ) |

## ◆ SetEndQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ1 | ( |  | self,
|  |  | value )

## ◆ SetEndQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ2 | ( |  | self,
|  |  | value )

## ◆ SetEndQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ3 | ( |  | self,
|  |  | value )

## ◆ SetEndQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ4 | ( |  | self,
|  |  | value )

## ◆ SetStartQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ1 | ( |  | self,
|  |  | value )

## ◆ SetStartQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ2 | ( |  | self,
|  |  | value )

## ◆ SetStartQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ3 | ( |  | self,
|  |  | value )

## ◆ SetStartQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ4 | ( |  | self,
|  |  | value )

## ◆ SetUnit()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetUnit | ( |  | self,
|  |  | value )

## ◆ Stop()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.Stop | ( |  | self | ) |

## Member Data Documentation

## ◆ endQ1

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ1

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ endQ2

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ2

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ endQ3

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ3

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ endQ4

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ4

Initial value:
= {'id': self.sys_id << 8 | 0x09,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ run

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.run

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': bool,
'unit': None,
'range': [True, False],
'default': False,
'value': False}

## ◆ startQ1

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ1

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ startQ2

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ2

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ startQ3

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ3

Initial value:
= {'id': self.sys_id << 8 | 0x06,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ startQ4

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ4

Initial value:
= {'id': self.sys_id << 8 | 0x08,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ sys_id

int optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.sys_id = 0x80 | channel

## ◆ unit

dict optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.unit

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range': {0: 'Current', 1: 'OF', 2: 'XY'},
'default': 1,
'value': 1}

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py